#ifndef MYSOSINBINDING_H
#define MYSOSINBINDING_H

#include "RandNumGenerator.h"

using namespace std;

class MyosinBinding {
   private:
      double ComingOnRate; 
      double ComingOffRate; 
      double StepSize; 
      RandNumGenerator * Rand;
      bool IsBound;
      bool BindToUnbind;
      bool UnbindToBind;
   public:
      MyosinBinding(double ComingOnRate, double ComingOffRate, double StepSize, RandNumGenerator * Rand);
      bool TryToBind() ;
      bool TryToUnBind() ;
      bool TryToChangeState();
      bool isBound();
      void clearBindUnbind();
      MyosinBinding  getBind1();
      MyosinBinding  getBind2();
      bool getBindToUnbind();
      void setBindToUnbind(bool set);
      void setUnbindToBind(bool set);
};

#endif// MYSOSINBINDING_H
