#ifndef MYSOSINBINDING_H
#define MYSOSINBINDING_H

#include "RandNumGenerator.h"

using namespace std;

class MyosinBinding {
   private:
      double ComingOnRate; 
      double ComingOffRate; 
      double StepSize; 
      RandNumGenerator * Rand;
      bool IsBound;
   public:
      MyosinBinding(double ComingOnRate, double ComingOffRate, double StepSize, RandNumGenerator * Rand);
      bool TryToBind() ;
      bool TryToUnBind() ;
      bool TryToChangeState();
      bool isBound();
};

#endif// MYSOSINBINDING_H
