
from scipy import *
from pylab import *
import time
graphics = 0

#The mystery data is read into b:
b = loadtxt("mystery.gz")
n = size(b)

figure(0)
#histogram of b:
N, bins, patches = hist(b, 100, normed=1)

figure(1)
#cutoff of the low pass filter. 
#stdev = 100000
stdev = 1000
var = stdev**2
#low pass filter of data:
filter = array([exp(-0.5*k**2/var) + exp(-0.5*(k-n)**2/var) for k in range(n)])

#a is the low pass filtered data:
a = real(ifft(fft(b) *filter))


#histogram of a:
N, bins, patches = hist(a, 100, normed=1)

figure(2)
plot(a)
show()

